package com.ssj.service.kmt.correctsys.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author Mount Liu
 * @date 2019/5/22
 */
public class DealCorrectTeacherReq extends BaseRequest {

    private final static long serialVersionUID = 1L;

    @ApiModelProperty(name = "teacherId", value = "老师id", required = true)
    private String teacherId;
    @ApiModelProperty(name = "operate", value = "1:升级，2：封号；3：解封 4:强制下线", required = true)
    private int operate;
    @ApiModelProperty(name = "type", value="8：在线批改老师, 13:匹配知识点老师",required = true)
    private int type;
    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }

    public int getOperate() {
        return operate;
    }

    public void setOperate(int operate) {
        this.operate = operate;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }
}
